// interface.c is generated from interface.1.c
// 02.01.2016
// 
// This is the wrapper for interface.pl.
// It's run with SETUID to have accesss to some files where the www server
// should not. That's why it has a C wrapper. In modern systems running scripts
// directly with SETUID is considered unsafe and not allowed.
//
//    Copyright (C) 2015-2016  Balthasar Szczepański
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as
//    published by the Free Software Foundation, either version 3 of the
//    License, or (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <unistd.h>
#include <stdio.h>

###INTERFACE_PL;
###INTERFACE_PL_ERRLOG;

int main(int argc, char *argv[], char *envp[])
{
	freopen(INTERFACE_PL_ERRLOG,"at",stderr);
	return execve(INTERFACE_PL,argv,envp);
}
