# makefile is generated from makefile.1.mak.
# 13.01.2016
#
# This is the makefile
#
#    Copyright (C) 2015-2016  Balthasar Szczepański
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

###CC;
###CF;
###PL;
###CP;
###MV;
###RM;
###CM;
###OD;
###WD;
###LD;

all: moveout moveoutlib copyoutwww remove config.txt


moveout: bot interface interface.pl rmaccess  setuid exec
	$(MV) bot interface interface.pl rmaccess $(OD)

moveoutlib: facebug_lib.pm   setuid exec
	$(MV) facebug_lib.pm $(LD)

copyoutwww: if.css   setuid exec
	$(CP) if.css $(WD)

setuid: interface
	$(CM) u+s interface

exec: bot interface.pl rmaccess
	$(CM) +x bot interface.pl rmaccess

remove: interface interface.c   copyoutwww moveout moveoutlib setuid exec 
	$(RM) interface.c


interface.pl: interface.1.pl   configure.pl settings
	$(PL) configure.pl settings <interface.1.pl >interface.pl

interface.c: interface.1.c   configure.pl settings
	$(PL) configure.pl settings <interface.1.c >interface.c

interface: interface.c
	$(CC) $(CF) -o interface interface.c

bot: bot.1.pl   configure.pl settings 
	$(PL) configure.pl settings <bot.1.pl >bot

rmaccess: rmaccess.1.pl   configure.pl settings 
	$(PL) configure.pl settings <rmaccess.1.pl >rmaccess

config.txt: config.1.txt   configure.pl settings
	$(PL) configure.pl settings <config.1.txt >config.txt

facebug_lib.pm: facebug_lib.1.pm   configure.pl settings
	$(PL) configure.pl settings <facebug_lib.1.pm >facebug_lib.pm
